> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Order (SIGNED)

`Applicable for placing contract orders`

#### Request URL

`POST https://cloud-api.wooxpro.com/contract/private/submit-order`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl 
 -H 'X-API-KEY:{{AccessKey}}'
 -H 'X-API-TIMESTAMP:{{currentTime}}'
 -H 'X-API-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "client_order_id":"BM1234",
  "side":4,
  "mode":1,
  "type":"limit",
  "leverage":"1",
  "open_type":"isolated",
  "size":10,
  "price":"2000"
}'
https://cloud-api.wooxpro.com/contract/private/submit-order
```

| Field                             | Type   | Required? | Description                                                                                                               |
| :-------------------------------- | :----- | :-------- | :------------------------------------------------------------------------------------------------------------------------ |
| symbol                            | String | Yes       | Symbol of the contract(like BTCUSDT)                                                                                      |
| client\_order\_id                 | String | No        | Client-defined OrderId(A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters) |
| type                              | String | No        | Order type<br />-`limit`(default)<br />-`market`                                                                          |
| side                              | Int    | Yes       | Order side                                                                                                                |
| leverage                          | String | No        | Order leverage                                                                                                            |
| open\_type                        | String | No        | Open type <br />-`cross` <br />-`isolated`                                                                                |
| mode                              | Int    | No        | Order mode<br />-`1`=GTC(default)<br />-`2`=FOK<br />-`3`=IOC<br />-`4`=Maker Only                                        |
| price                             | String | Yes       | Order price, required at limit order                                                                                      |
| size                              | Int    | Yes       | Order size (Number of contracts)                                                                                          |
| preset\_take\_profit\_price\_type | Int    | No        | Pre-set TP price type<br />-`1`=last\_price(default)<br />-`2`=fair\_price                                                |
| preset\_stop\_loss\_price\_type   | Int    | No        | Pre-set SL price type<br />-`1`=last\_price(default)<br />-`2`=fair\_price                                                |
| preset\_take\_profit\_price       | String | No        | Pre-set TP price                                                                                                          |
| preset\_stop\_loss\_price         | String | No        | Pre-set SL price                                                                                                          |
| stp\_mode                         | Int    | No        | Self Trading Protection<br />-`1`=cancel\_maker(default)<br />-`2`=cancel\_taker<br />-`3`=cancel\_both                   |

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": 220609666322019,
    "price": "25637.2"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
```

| Field     | Type   | Description                                                                      |
| :-------- | :----- | :------------------------------------------------------------------------------- |
| order\_id | Int    | Order ID                                                                         |
| price     | String | Order Submit Price，if submit market type order，will return string："market price" |
